import { Selector, createSelector } from '@ngrx/store';

import { RESTClientError } from '@loafer/ng-rest';

export interface State {
  pending: boolean;
  error: RESTClientError;
}

export const initialState: State = {
  pending: false,
  error: null,
};

export function getSelectors(selector: Selector<any, State>) {
  return {
    selectPending: createSelector(selector, (state: State) => state.pending),
    selectError: createSelector(selector, (state: State) => state.error),
  };
}
